/*
Theme Name: Woostify Child
Template: woostify
*/

@import url("../woostify/style.css");

/* Ajoutez ici vos styles personnalisés */


/***********************Menu Style start *******************************************/
.header-sub {
    background-color: #f0f0f0; /* Couleur de fond */
    padding: 10px; /* Espacement interne */
    text-align: center; /* Centrer le texte */
}

.header-sub .sub-header-menu {
    list-style: none;
    background-color: #f0f0f0;
    margin: 0;
    padding: 0;
}

.header-sub .sub-header-menu li {
    position: relative;
    display: inline-block;
    margin: 0 10px;
}

.header-sub .sub-header-menu li a {
    color: #043464; /* Couleur du texte */
    text-decoration: none; /* Supprimer la décoration de texte */
    font-size: 20px;
    font-weight: 700;
    /*font-style: italic;*/
}

.header-sub .sub-header-menu li a:hover {
    color: #f26522; /* Couleur au survol */
}

/* Styles pour les sous-menus */
.header-sub .sub-header-menu ul {
    display: none; /* Masquer les sous-menus par défaut */
    position: absolute;
    background-color: #f0f0f0;
    list-style: none;
    padding: 0;
    margin: 0;
    z-index: 1000;
    top: 100%; /* Positionner en dessous de l'élément parent */
    left: 0;
    white-space: nowrap; /* Empêche le retour à la ligne des éléments */
}

.header-sub .sub-header-menu li:hover > ul {
    display: flex; /* Afficher les sous-menus au survol */
    flex-direction: row; /* Aligner les sous-menus horizontalement */
}

.header-sub .sub-header-menu ul li {
    display: block; /* Afficher les éléments du sous-menu en bloc */
    margin: 0;
    position: relative;
}

.header-sub .sub-header-menu ul li a {
    font-size: 14px; /* Taille du texte des sous-menus */
    font-weight: normal; /* Poids du texte des sous-menus */
    color: #043464;
    padding: 10px;
    text-decoration: none;
    display: block;
}

.header-sub .sub-header-menu ul li a:hover {
    color: #f26522; /* Couleur au survol pour les sous-menus */
    background-color: #e0e0e0; /* Fond au survol pour les sous-menus */
}

/* Styles pour les sous-sous-menus */
.header-sub .sub-header-menu ul ul {
    display: none; /* Masquer les sous-sous-menus par défaut */
    position: absolute;
    left: 0;
    top: 100%; /* Positionner en dessous de l'élément parent */
    flex-direction: column; /* Aligner les sous-sous-menus verticalement */
}

.header-sub .sub-header-menu ul li:hover > ul {
    display: block; /* Afficher les sous-sous-menus au survol */
    background-color: #e0f0ff;
}
/***********************Contact form Style start *******************************************/
/* Container styling */
.wpcf7 form {
    background: white;
    border-radius: 10px;
    padding: 20px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    height: 550px; /* Decreased height */
}

/* Label styling */
.wpcf7-form-control-wrap label {
    display: block;
    font-weight: bold;
    margin-bottom: 5px;
    background-color: #f0f0f0; /* Forced background color */
    padding: 5px;
    border-radius: 3px;
}

/* Input field styling */
.wpcf7 input[type="email"],
.wpcf7 input[type="file"],
.wpcf7 textarea {
    width: 100%;
    padding: 10px;
    margin-bottom: 20px;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-sizing: border-box;
}

/* Adjust textarea height */
.wpcf7 textarea {
    height: 100px; /* Decreased height */
}

/* Select field styling */
.wpcf7 select {
    width: 100%;
    padding: 10px;
    margin-bottom: 20px;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-sizing: border-box;
}

/* Submit button styling */
.wpcf7 input[type="submit"] {
    background-color: #001B6C; /* Blue background */
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 10px;
    cursor: pointer;
    float: right; /* Positioning the button to the right */
}

.wpcf7 input[type="submit"]:hover {
    background-color: #002b9a; /* Darker blue on hover */
}


/***********************Contact form Style end ****************/

/***********************Search Form Style start ****************/

/***********************Search form Style end ****************/

/**********Categorie block  (colonne latérale) Style start********/

/* Custom Sidebar Categories Style */
/*.sidebar-categories{
    background-color: red; 
    border-radius: 10px; 
    padding: 15px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    font-family: Arial, sans-serif;
}

.sidebar-categories h3 {
    font-size: 18px;
    font-weight: bold;
    color: #002d72;
    margin-bottom: 10px;
    text-transform: uppercase;
}

.sidebar-categories ul {
    list-style-type: none;
    padding-left: 0;
}

.sidebar-categories ul li {
    margin-bottom: 10px;
}

.sidebar-categories ul li a {
    text-decoration: none;
    font-size: 16px;
    color: #4A4A4A;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.sidebar-categories ul li a:hover {
    color: #002d72;
}

.sidebar-categories ul li a::after {
    content: '+';
    font-size: 18px;
    color: #4A4A4A;
}

.sidebar-categories ul li a:hover::after {
    color: #002d72;
}
*/

/**********Categorie block  (colonne latérale) Style end********/

/**********Categorie block  (colonne latérale) Style start********/
.subcategory-block {
    background-color: #f8f8f8;
    padding: 15px;
    border-radius: 5px;
    margin-bottom: 20px;
}

.subcategory-block h2 {
    font-size: 1.5em;
    color: #333;
    margin-bottom: 10px;
}

.subcategory-block ul {
    list-style: none;
    padding: 0;
}

.subcategory-block ul li {
    margin-bottom: 10px;
}

.subcategory-block ul li a {
    color: #0073aa;
    text-decoration: none;
}

.subcategory-block ul li a:hover {
    text-decoration: underline;
}

/**********Categorie block  (colonne latérale) Style end********/

/**********Marque block  (colonne latérale) Style start********/
/*
.brand-block {
    background-color: #f8f8f8;
    padding: 15px;
    border-radius: 5px;
    margin-bottom: 20px;
}

.brand-block h2 {
    font-size: 1.5em;
    color: #333;
    margin-bottom: 10px;
}

.brand-block ul {
    list-style: none;
    padding: 0;
}

.brand-block ul li {
    margin-bottom: 10px;
}

.brand-block ul li a {
    color: #0073aa;
    text-decoration: none;
}

.brand-block ul li a:hover {
    text-decoration: underline;
}

*/
/**********Marque block  (colonne latérale) Style end*******/

/********** Description Categorie block  (colonne latérale) Style start********/
/*.category-description-block {
    background-color: #ffffff;
    padding: 20px;
    border-radius: 5px;
    margin-bottom: 20px;
    border: 1px solid #e0e0e0;
}

.category-description-block h1 {
    font-size: 2em;
    color: #333;
    margin-bottom: 10px;
}

.category-description-block p {
    font-size: 1.2em;
    color: #666;
    line-height: 1.5;
}*/

/**********Description Categorie block  (colonne latérale) Style start********/
